﻿/* styles for validation helpers */
.field-validation-error {
    color: #b94a48;
}

.field-validation-valid {
    display: none;
}

input.input-validation-error {
    border: 1px solid #b94a48;
}

input[type="checkbox"].input-validation-error {
    border: 0 none;
}

.validation-summary-errors {
    /*color: #b94a48;*/
}

.validation-summary-valid {
    display: none;
}

.col-container {
    display: table; /* Make the container element behave like a table */
    width: 100%; /* Set full-width to expand the whole page */
}

.col {
    display: table-cell; /* Make elements inside the container behave like table cells */
}

.bg-white {
    background-color: #fff !important;
}


.scrolling-text {
    height: 500px; /* Altezza del div uguale all'altezza della viewport */
    overflow: hidden; /* Nasconde il testo che esce dal div */
    position: relative; /* Per posizionare correttamente il testo */
}

    .scrolling-text p {
        margin: 0; /* Rimuove il margine per evitare spazi vuoti */
        position: absolute; /* Posizionamento assoluto per sovrapporre il testo */
        animation: scrollAnimation 8s linear; /* Definisce l'animazione */
    }

.paused p {
    animation-play-state: paused; /* Mette in pausa l'animazione */
}

@keyframes scrollAnimation {
    0% {
        transform: translateY(+500px);
    }

    60% {
        transform: translateY(calc(50% - 10px));
    }

    100% {
        transform: translateY(calc(50% - 50px));
    }
}

h1, h2, h3 {
    text-align: center;
    /*width: 100%;*/
    font-family: 'Roboto Black' !important;
    color: gray !important;
    margin: 20px !important;
}


.div-box-style {
    border: 3px solid grey; /* Bordo grigio */
    border-radius: 20px; /* Angoli arrotondati */
    box-shadow: 5px 5px 10px rgba(0, 0, 0, 0.2); /* Ombra */
    padding: 20px; /* Spazio interno al div */
    height: 200px;
}
.div-box-style_270 {
    height: 270px;
}
.div-box-style_300 {
    height: 300px;
}

.div-box-style_500 {
    height: 500px;
}

    .div-box-style .info-box-number {
        text-align: center;
        width: 100%;
        font-family: 'Roboto Black' !important;
        color: gray !important;
        font-size: 20px;
    }

    .div-box-style a {
        color: gray !important;
    }

    .div-box-style .linkbutton {
        position: absolute;
        width: 100%;
        height: 100%;
        top: 0;
        left: 0;
        z-index: 1;
        opacity: 0;
    }

.calcolatrice {
    width: 40px; /* Larghezza dell'icona */
    height: 40px; /* Altezza dell'icona */
    background-image: url('/Content/Images/Icons/Richiedi progetto.png'); /* Percorso dell'immagine */
    background-size: cover; /* Adatta l'immagine per coprire l'area specificata */
    background-position: center; /* Centra l'immagine all'interno del contenitore */
    display: inline-block; /* Per far sì che l'elemento si comporti come un blocco inline */
    margin-right: 10px;
}
.btn-progetto {
    display: inline-flex !important;
    align-items: center !important;
    border-radius: 30px !important;
    border: 3px solid grey !important;
    background-color: lightsalmon !important;
    font-family: 'Roboto Black' !important;
    color: white !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    padding: -5px !important;
}

.indietro {
    width: 25px; /* Larghezza dell'icona */
    height: 25px; /* Altezza dell'icona */
    background-image: url('/Content/Images/Icons/Indietro.png'); /* Percorso dell'immagine */
    background-size: cover; /* Adatta l'immagine per coprire l'area specificata */
    background-position: center; /* Centra l'immagine all'interno del contenitore */
    display: inline-block; /* Per far sì che l'elemento si comporti come un blocco inline */
    margin-right: 10px;
}
.btn-indietro {
    display: inline-flex !important;
    align-items: center !important;
    border-radius: 30px !important;
    border: 3px solid grey !important;
    background-color: white !important;
    font-family: 'Roboto Black' !important;
    color: gray !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    padding: -5px !important;
}


.home {
    width: 25px; /* Larghezza dell'icona */
    height: 25px; /* Altezza dell'icona */
    background-image: url('/Content/Images/Icons/Home.png'); /* Percorso dell'immagine */
    background-size: cover; /* Adatta l'immagine per coprire l'area specificata */
    background-position: center; /* Centra l'immagine all'interno del contenitore */
    display: inline-block; /* Per far sì che l'elemento si comporti come un blocco inline */
    margin-right: 10px;
}

.btn-home {
    display: inline-flex !important;
    align-items: center !important;
    border-radius: 30px !important;
    border: 3px solid grey !important;
    background-color: deepskyblue !important;
    font-family: 'Roboto Black' !important;
    color: white !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    padding: -5px !important;
}

.fa-forward {
    margin-left: 10px !important;
}

.btn-avanti {
    display: inline-flex !important;
    align-items: center !important;
    border-radius: 30px !important;
    border: 3px solid grey !important;
    background-color: mediumseagreen !important;
    font-family: 'Roboto Black' !important;
    color: white !important;
    margin-left: 10px !important;
    margin-right: 10px !important;
    padding: -5px !important;
}

input {
    border-radius: 30px !important;
    line-height: 40px !important;
    min-width: 150px !important;
}


